We Can Help

LastPass isn't working with Rockmelt?

Unfortunately Rockmelt is working on compatibility with the latest updates to Chrome, so until then only LastPass version 1.90.0 is compatible with the browser: https://lastpass.com/releases/lpchrome1.90.crx

Still Having Trouble?
Look for answers in our vibrant customer-to-customer community help forums.


View your account information and view the status of previously submitted support tickets.


Submit a support ticket and we'll get back to you as soon as we can!

Chrome

Enter a few words explaining what you need help with

Please type your question in English

Please review these answers to your question:

Still Having Trouble?
Look for answers in our vibrant customer-to-customer community help forums.


View your account information and view the status of previously submitted support tickets.


Submit a support ticket and we'll get back to you as soon as we can!


Browse through our FAQs:

Do you have any Heartbleed questions?